Package org.eclipse.rdf4j.spring.support

## Class DirectOperationInstantiator

- java.lang.Object
- - org.eclipse.rdf4j.spring.support.DirectOperationInstantiator

- All Implemented Interfaces:
    `OperationInstantiator`
  Direct Known Subclasses:
    `CachingOperationInstantiator`

      public class DirectOperationInstantiator
      extends Object
      implements OperationInstantiator

  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DirectOperationInstantiator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `GraphQuery` | `getGraphQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> graphQueryStringSupplier)` |
    `GraphQuery` | `getGraphQuery​(RepositoryConnection con, String graphQuery)` |
    `TupleQuery` | `getTupleQuery​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> tupleQueryStringSupplier)` |
    `TupleQuery` | `getTupleQuery​(RepositoryConnection con, String queryString)` |
    `Update` | `getUpdate​(RepositoryConnection con, Class<?> owner, String operationName, Supplier<String> updateStringSupplier)` |
    `Update` | `getUpdate​(RepositoryConnection con, String updateString)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectOperationInstantiator

          public DirectOperationInstantiator()

  - ### Method Detail

    - #### getTupleQuery

          public TupleQuery getTupleQuery​(RepositoryConnection con,
                                          String queryString)

      Specified by:
        `getTupleQuery` in interface `OperationInstantiator`

    - #### getUpdate

          public Update getUpdate​(RepositoryConnection con,
                                  String updateString)

      Specified by:
        `getUpdate` in interface `OperationInstantiator`

    - #### getGraphQuery

          public GraphQuery getGraphQuery​(RepositoryConnection con,
                                          String graphQuery)

      Specified by:
        `getGraphQuery` in interface `OperationInstantiator`

    - #### getTupleQuery

          public TupleQuery getTupleQuery​(RepositoryConnection con,
                                          Class<?> owner,
                                          String operationName,
                                          Supplier<String> tupleQueryStringSupplier)

      Specified by:
        `getTupleQuery` in interface `OperationInstantiator`

    - #### getUpdate

          public Update getUpdate​(RepositoryConnection con,
                                  Class<?> owner,
                                  String operationName,
                                  Supplier<String> updateStringSupplier)

      Specified by:
        `getUpdate` in interface `OperationInstantiator`

    - #### getGraphQuery

          public GraphQuery getGraphQuery​(RepositoryConnection con,
                                          Class<?> owner,
                                          String operationName,
                                          Supplier<String> graphQueryStringSupplier)

      Specified by:
        `getGraphQuery` in interface `OperationInstantiator`